Package net.rubygrapefruit.platform.internal

# Class WindowsDirList

java.lang.Object
net.rubygrapefruit.platform.internal.DirList
net.rubygrapefruit.platform.internal.WindowsDirList

public class WindowsDirList extends DirList

## Field Summary

### Fields inherited from class net.rubygrapefruit.platform.internal.DirList

`files`

## Constructor Summary

Constructors
Constructor
Description
`WindowsDirList()`

## Method Summary

Modifier and Type
Method
Description
`void`
`addFile(String name, int type, long size, long lastModified)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### WindowsDirList

public WindowsDirList()

## Method Details

### addFile

public void addFile(String name, int type, long size, long lastModified)

Overrides:
  `addFile` in class `DirList`